# png::pixel_buffer< packed_gray_pixel< bits > > Class Template Reference

The pixel buffer class template specialization for the packed_gray_pixel type. More...

`#include <pixel_buffer.hpp>`

Inheritance diagram for png::pixel_buffer< packed_gray_pixel< bits > >:

List of all members.

## Public Types

typedef packed_gray_pixel< bits > | pixel_type
typedef packed_pixel_row < pixel_type > | pixel_row_type

## Public Member Functions

| pixel_buffer ()
| pixel_buffer (size_t width, size_t height)

## Detailed Description

### template<size_t bits>
class png::pixel_buffer< packed_gray_pixel< bits > >

The pixel buffer class template specialization for the packed_gray_pixel type.

## Member Typedef Documentation

template<size_t bits>

typedef packed_gray_pixel< bits > png::pixel_buffer< packed_gray_pixel< bits > >::pixel_type

template<size_t bits>

typedef packed_pixel_row< pixel_type > png::pixel_buffer< packed_gray_pixel< bits > >::pixel_row_type

## Constructor & Destructor Documentation

template<size_t bits>

png::pixel_buffer< packed_gray_pixel< bits > >::pixel_buffer | ( | ) | `[inline]`

template<size_t bits>

png::pixel_buffer< packed_gray_pixel< bits > >::pixel_buffer | ( | size_t | width,
|  | size_t | height
| ) |  | `[inline]`

The documentation for this class was generated from the following file:

- pixel_buffer.hpp